<?php
ViewResponse::getInstance()->setMethodAjax();
use_helper('UtilFunctions');
$o_ObjectBean = new PrestamoBean();
  
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO  

if($cboMercado     	!=""){ $o_ObjectBean->setIdMercado($cboMercado);}
if($cboColaborador     	!=""){ 
	$o_ObjectBean->setIdColaboradorPrestamo($cboColaborador);
}else{
	if(myUser::getUser()->getRoleId() == "sys.gen" || myUser::getUser()->getRoleId() == "sys.res" || myUser::getUser()->getRoleId() == "sys.sup"|| myUser::getUser()->getRoleId() == "sys.view"){
		
	}else{
		$o_ObjectBean->setIdColaboradorPrestamo(myUser::getUser()->getIdColaborador());
	}
}

if($FechaInicial  !=""){ $o_ObjectBean->setFechaInicio($FechaInicial); }

$o_ObjectBean->setEstado('P');
$o_ObjectBean->setFlagReporte('2');

$o_class = new PrestamoBL();
$a_ObjectBean = $o_class->busquedaPrestamo($o_ObjectBean);
/*****************************************/



$pdf = new TCPDF('P', 'mm','A4', true); 
$pdf->AliasNbPages();
$pdf->setHeaderFont(array('times','',11));
$pdf->setFooterMargin('12');



$o_ColaboradorBean = new ColaboradorBean();
$o_ColaboradorBean->setIdColaborador(myUser::getUser()->getIdColaborador());
$o_ColaboradorBL = new ColaboradorBL();
$a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);

foreach ($a_o_Colaborador as $key => $o_Colaborador){
	$NombreRepresentante = utf8_encode(ucwords($o_Colaborador->getNombreCompleto()));
	
}

$o_MercadoBean = new MercadoBean();
$o_MercadoBean->setIdMercado($cboMercado);
$o_MercadoBL = new MercadoBL();
$a_o_Mercado = $o_MercadoBL->busquedaMercado($o_MercadoBean);

foreach ($a_o_Mercado as $key => $o_Mercado){
	$NombreMercado = utf8_encode(ucwords($o_Mercado->getDescripcion()));
}


$str = 'Mercado:'.ucwords($NombreMercado).'          *Representante :'.ucwords($NombreRepresentante).'        Fecha:'.date('Y-m-d');


$pdf->setHeaderData('','','Cobranza Diaria',$str);

define("POS_IZQ", 1);

$pdf->AddPage();

/*iniciop titulo*/
$pdf->SetFont('times','B',14);
$pdf->SetX(POS_IZQ);


/*fin titulo*/

/*inicio de cabecera*/
$pdf->SetFont('times','B',11);
$pdf->SetXY(POS_IZQ,11);


foreach ($a_ObjectBean as $iKey => $o_objBean){
  $sumaTotalSaldo += $o_objBean->getSaldoPrestamo();
   if($o_objBean->getEstado() == 'P' && $o_objBean->getFechaVencimiento() < date('Y-m-d')){ 	
  	$sumaVencido += $o_objBean->getSaldoPrestamo();
  }
}


$pdf->SetFillColor(254,254,254);
$pdf->SetFont('times','',10);

$pdf->SetX(POS_IZQ);
$pdf->Cell(25,3,"*N.P: ".(count($a_ObjectBean)),0,0,'L',1);
$pdf->Cell(25,3,"T.S: ".(number_format($sumaTotalSaldo,2)),0,0,'L',1);
$pdf->Cell(25,3,"T.V: ".(number_format($sumaVencido,2)),0,1,'L',1);
 
$pdf->SetX(POS_IZQ); 
$pdf->SetFillColor(236,235,236);  
$pdf->SetFont('times','',10);
$pdf->Cell(13,4,'Nro.',1,0,'L',1);
$pdf->Cell(50,4,'Cliente',1,0,'L',1);

$pdf->Cell(16,4,'',1,0,'L',1);
//$pdf->Cell(7,4,'',1,0,'L',1);
$pdf->Cell(17,4,'F.Ini',1,0,'L',1);
$pdf->Cell(9,4,'G.A',1,0,'L',1);

$pdf->Cell(18,4,'Capital',1,0,'L',1);
$pdf->Cell(18,4,'Saldo',1,0,'L',1);
$pdf->Cell(14,4,'C.Pago',1,0,'L',1);

$pdf->Cell(6,4,'NP',1,0,'L',1);

$pdf->Cell(5,4,'T',1,0,'L',1);
$pdf->Cell(10,4,'Ult.Pag.',1,0,'L',1);
$pdf->Cell(18,4,'Telefono',1,0,'L',1);
$pdf->Cell(14,4,'T.Negoc.',1,1,'L',1);

//$pdf->Cell(10,0,'',1,1,'L',1);

//$pdf->Cell(10,4,date('Y-m-d'),1,0,'L',1);
/*$pdf->Cell(10,4,date('Y-m-d',strtotime('+1 days')),1,0,'L',1);
$pdf->Cell(10,4,date('Y-m-d',strtotime('+2 days')),1,1,'L',1);*/

//$pdf->Cell(35,4,'Inicio',0,0,'L',1);
/*fin de cabecera*/



$pos    = 55;
$count  = 0;
$x      = 0;
$pdf->SetFillColor(254,254,254);
$pdf->SetFont('times','',10);

if(count($a_ObjectBean)>0){
//for($i=1;$i<50;$i++){	
  reset($a_ObjectBean);
 
  
  foreach ($a_ObjectBean as $iKey => $o_objBean){
  	  $fechaven = "";	
  	  $vencido = "";	
  	  if($o_objBean->getEstado() == 'P' && $o_objBean->getFechaVencimiento() < date('Y-m-d')){ 	
  	  	$vencido = "V";
  	  	$fechaven=  $o_objBean->getFechaVencimiento();
  	  }
  	  if($o_objBean->getOrigen() == 'R'){
  	  	$origen ='N';
  	  }elseif($o_objBean->getOrigen() == 'F'){
  	  	$origen ='R';
  	  }
  	  $amortizacion = $o_objBean->getMontoTotal() - $o_objBean->getSaldoPrestamo();
      $pdf->SetX(POS_IZQ);
      $pdf->Cell(13,4,($o_objBean->getIdPrestamo()),1,0,'L',1);
      $pdf->Cell(50,4,utf8_encode(ucwords(strtolower($o_objBean->getObjectCliente()->getNombreCompleto()))),1,0,'L',1);
     
      
      if($o_objBean->getIdCliente()){
      	$o_ClienteBean = new ClienteBean();
      	$o_ClienteBean->setIdCliente($o_objBean->getIdCliente());
      	$o_ClienteDP = new ClienteDP($o_ClienteBean);
      	$a_o_ClienteDP = $o_ClienteDP->select();
      	foreach ($a_o_ClienteDP as $Key => $o_objCliente){
			$celular = trim($o_objCliente->getCelular());
			if($celular) $telefono = $celular;
      		else $telefono = $o_objCliente->getTelefono();
      		$IdTipoNegocio = $o_objCliente->getIdTipoNegocio();
      		if($IdTipoNegocio){
      			$o_TipoNegocioBean = new TipoNegocioBean();
      			$o_TipoNegocioBean->setIdTipoNegocio($IdTipoNegocio);
		      	$o_TipoNegocioDP = new TipoNegocioDP($o_TipoNegocioBean);
		      	$a_o_TipoNegocioDP = $o_TipoNegocioDP->select();
		      	foreach ($a_o_TipoNegocioDP as $Keytn => $o_TipoNegocioDP){
		      		$DescripcionNegocio = $o_TipoNegocioDP->getDescripcion();
		      	}
      		}
      	}
      }
      $pdf->Cell(16,4,"",1,0,'C',1);
      //$pdf->Cell(7,4,"",1,0,'C',1);
      $pdf->Cell(17,4,substr($o_objBean->getFechaInicio(),0,10),1,0,'C',1);
      $pdf->Cell(9,4,number_format($o_objBean->getGastoAdministrativo(),2),1,0,'C',1);
      $pdf->Cell(18,4,number_format($o_objBean->getMontoTotal(),2),1,0,'R',1);
      $pdf->Cell(18,4,number_format($o_objBean->getSaldoPrestamo(),2),1,0,'R',1);
      //$pdf->Cell(9,4,number_format($amortizacion,2),1,0,'R',1);
      $pdf->Cell(14,4,number_format($o_objBean->getCuotaPago(),2),1,0,'R',1);
	  
      $pdf->Cell(6,4,$o_objBean->getNroPagos(),1,0,'C',1);
     
      //$pdf->Cell(5,4,$fechaven,1,0,'R',1);
      $pdf->SetFont('times','',10);

      $pdf->Cell(5,4,$origen,1,0,'C',1);
      //$pdf->Cell(15,4,getEstadoCondicion($o_objBean->getCondicion()),1,0,'C',1);
      $pdf->Cell(10,4,number_format($o_objBean->getPago_1(),2),1,0,'L',1);
	  
	   $pdf->Cell(18,4,$telefono,1,0,'L',1);
      $pdf->Cell(14,4,substr($DescripcionNegocio,0,10),1,1,'L',1);

 
      //$pdf->Cell(10,0,'',1,1,'L',1);
      
    }
    $pdf->SetX(POS_IZQ);
	$pdf->Cell(63,4,'Totales',1,0,'R',1);
	$pdf->Cell(16,4,'',1,0,'L',1);
	//$pdf->Cell(7,4,'',1,0,'L',1);
	$pdf->Cell(17,4,'',1,0,'L',1);
	$pdf->Cell(9,4,'',1,0,'L',1);
//}
}else{  
  $pdf->SetXY(POS_IZQ,$pos);
  $pdf->Cell(200,4,"No hay registros.",0,0,'L',1);
  
}
$pdf->Output();
?>